cumulatives.cpp File Reference
`#include "test/int.hh"`
`#include <gecode/minimodel.hh>`
`#include <gecode/search.hh>`
`#include <vector>`
`#include <algorithm>`
`#include <string>`
`#include <sstream>`

Go to the source code of this file.

## Classes

class | Test::Int::Cumulatives::Ass
| Script for generating assignments. More...
class | Test::Int::Cumulatives::CumulativeAssignment
| Class for generating reasonable assignments. More...
class | Test::Int::Cumulatives::Event
| Event to be scheduled More...
class | Test::Int::Cumulatives::Below
| Describe that event is below a certain limit. More...
class | Test::Int::Cumulatives::Above
| Describe that event is above a certain limit. More...
class | Test::Int::Cumulatives::Cumulatives
| Test for cumulatives constraint More...

## Namespaces

namespace | Test
| General test support.
namespace | Test::Int
| Testing finite domain integers.
namespace | Test::Int::Cumulatives
| Tests for scheduling constraints

## Functions

template<class C>
bool | Test::Int::Cumulatives::valid (std::vector< Event > e, C comp)
| Check whether event e is valid.

## Variables

Cumulatives | Test::Int::Cumulatives::c1t1 ("1t1", 1, true, 1)
Cumulatives | Test::Int::Cumulatives::c1f1 ("1f1", 1, false, 1)
Cumulatives | Test::Int::Cumulatives::c1t2 ("1t2", 1, true, 2)
Cumulatives | Test::Int::Cumulatives::c1f2 ("1f2", 1, false, 2)
Cumulatives | Test::Int::Cumulatives::c1t3 ("1t3", 1, true, 3)
Cumulatives | Test::Int::Cumulatives::c1f3 ("1f3", 1, false, 3)
Cumulatives | Test::Int::Cumulatives::c2t1 ("2t1", 2, true, 1)
Cumulatives | Test::Int::Cumulatives::c2f1 ("2f1", 2, false, 1)
Cumulatives | Test::Int::Cumulatives::c2t2 ("2t2", 2, true, 2)
Cumulatives | Test::Int::Cumulatives::c2f2 ("2f2", 2, false, 2)
Cumulatives | Test::Int::Cumulatives::c2t3 ("2t3", 2, true, 3)
Cumulatives | Test::Int::Cumulatives::c2f3 ("2f3", 2, false, 3)
Cumulatives | Test::Int::Cumulatives::c3t1 ("3t1", 3, true, 1)
Cumulatives | Test::Int::Cumulatives::c3f1 ("3f1", 3, false, 1)
Cumulatives | Test::Int::Cumulatives::c3t2 ("3t2", 3, true, 2)
Cumulatives | Test::Int::Cumulatives::c3f2 ("3f2", 3, false, 2)
Cumulatives | Test::Int::Cumulatives::c3t3 ("3t3", 3, true, 3)
Cumulatives | Test::Int::Cumulatives::c3f3 ("3f3", 3, false, 3)
Cumulatives | Test::Int::Cumulatives::c3t_1 ("3t-1", 3, true, -1)
Cumulatives | Test::Int::Cumulatives::c3f_1 ("3f-1", 3, false, -1)
Cumulatives | Test::Int::Cumulatives::c3t_2 ("3t-2", 3, true, -2)
Cumulatives | Test::Int::Cumulatives::c3f_2 ("3f-2", 3, false, -2)
Cumulatives | Test::Int::Cumulatives::c3t_3 ("3t-3", 3, true, -3)
Cumulatives | Test::Int::Cumulatives::c3f_3 ("3f-3", 3, false, -3)